[Q] Develop an ICS-targeted app compatible with lower platforms?

I am currently developing an app whose minSdkVersion is 7, Android 2.1.
However, I love the ICS style, the new look of Buttons, ListViews, TimePickers, etc. I myself have upgraded my Nexus S to ICS. I wish the app could apply the default look of ICS on ICS phones, and the old way on lower platforms.

I believe there's a way, because RootExplorer seems to have done this. I looked into its AndroidManifest file, seeing this:

Code:
<uses-sdk minSdkersion="2" targetSdkVersion="14"> </uses-sdk>

I tried this but only the title of the Activity changed to ICS style. ListViews and TimePickers etc. are still the same way. Can anybody help me with this?

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by flubowitz
1 hour ago
Last post by lane79
2 hours ago
Last post by ofisher
2 hours ago
Last post by phoebe.klein
2 hours ago
inside
Started by sgraham
Last post by sarai.daugherty
59 minutes ago
Last post by amber.heller
1 hour ago
Last post by mprice
3 hours ago
Last post by lang.jacinto
2 hours ago
Last post by marshall34
2 hours ago
Xposed Help
Started by jstokes
Last post by margaretta51
45 minutes ago
Last post by fbarrows
4 hours ago
Last post by lucio.frami
1 hour ago